GET /leads
Authorization Requiredhttps://[your-subdomain].trackdrive.com/api/v1/leads
List your leads.
Search and list leads in your account with filtering, sorting, and pagination. Also supports specialized modes for leads waiting on Instant Agent permission, leads with a scheduled callback ready to run, or currently live billable leads.
Params
| Param name | Description | ||||||||
|---|---|---|---|---|---|---|---|---|---|
|
serializer Optional Blank value allowed |
This endpoint supports multiple response formats. Pass
|
||||||||
|
page Optional |
Return the next page of results.
|
||||||||
|
per_page Optional |
How many results to return per page. The default is 25.
|
||||||||
|
created_at_to Optional |
Date formatted like 2016-01-01 12:25:15 -0500
|
||||||||
|
created_at_from Optional |
Date formatted like 2016-01-01 12:25:15 -0500
|
||||||||
|
fulltext Optional |
Search for any record that matches this text
|
||||||||
|
time_zone Optional |
Date ranges will be parsed using this time zone.
|
||||||||
|
columns Optional |
Specify the columns you would like returned by the API for a given resource.
Limiting the columns can significantly increase API response time since only the requested data will be processed.
columns=uuid,number,created_at
Must be any combination of:
|
||||||||
|
root Optional |
Pass
|
||||||||
|
created_at_label Optional Blank value allowed |
Dynamic Date String such as “Today” or “This Year”
|
||||||||
|
next_action_at_to Optional |
Date formatted like 2016-01-01 12:25:15 -0500
|
||||||||
|
next_action_at_from Optional |
Date formatted like 2016-01-01 12:25:15 -0500
|
||||||||
|
offer_id Optional |
Refer to the offer api for details
|
||||||||
|
schedule_id Optional |
Schedule internal id.
|
||||||||
|
contact_id Optional |
Match calls that were placed by this caller.
|
||||||||
|
traffic_source_id Optional |
Refer to the traffic source api for details
|
||||||||
|
buyer_id Optional |
Refer to the buyer api for details
|
||||||||
|
status Optional |
Match results that have this status.
|
||||||||
|
status_wait Optional |
Filter for leads that are waiting before performing an action.
|
||||||||
|
number Optional |
The lead’s caller number. This is the number Trackdrive will dial when making outbound calls to the lead, and the number where Trackdrive will send SMS.
|
||||||||
|
email Optional |
The email address for the lead. The lead’s email is required for sending emails from schedules to leads.
|
||||||||
|
has_next_action Optional |
Filter for leads that have more actions to perform.
|
||||||||
|
buyer_converted Optional |
Select leads that have converted.
|
||||||||
|
offer_converted Optional |
Select leads where a traffic source converted.
|
||||||||
|
either_converted Optional |
Select leads where either a buyer or traffic source converted.
|
||||||||
|
opt_out Optional |
Select leads that have opted-out.
|